Name:           maze5
Version:        0.8.1
Release:        3%{?dist}
Summary:        A program for generating mazes of miscellaneous styles and sizes

License:        GPLv3+
URL:            http://www.fiveoclock.de/?page_id=81

# Link against libm.
# https://sourceforge.net/tracker/?func=detail&atid=893571&aid=3322724&group_id=180534
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         maze5-0.8.1-libm.patch

BuildRequires:  cairo-devel scons xmltoman gimp-devel-tools

%description
This package contains a program for generating mazes of miscellaneous
styles and sizes.

%prep
%setup -q
%patch0 -p1


%build
scons


%install
# Don't use "scons install" because it does not allow custom GIMP plugin dir.
install -D -p --mode 755 maze5 $RPM_BUILD_ROOT%{_bindir}/maze5
install -D -p --mode 644 man/maze5.1 $RPM_BUILD_ROOT%{_mandir}/man1/maze5.1
install -D -p --mode 644 maze5gimp $RPM_BUILD_ROOT%{_libdir}/gimp/2.0/plug-ins/maze5


%package gimp
Summary:        A GIMP plugin for generating mazes of miscellaneous styles and sizes
Group:          Development/Libraries
Requires:       maze5 = %{version}-%{release} gimp


%description gimp
This package contains a plugin 'maze5gimp' for GIMP (the GNU Image
Manipulation Program) for generating mazes of miscellaneous styles
and sizes.


%files
%doc AUTHORS ChangeLog COPYING README RELEASE-NOTES
%{_bindir}/maze5
%{_mandir}/man1/maze5.1.gz


%files gimp
%{_libdir}/gimp/2.0/plug-ins/maze5


%changelog
* Mon Jun 27 2011 W. Michael Petullo <mike@flyn.org> - 0.8.1-3
- License is GPLv3+
- Use name macro in Source0 definition
- GIMP package requires main package
- Don't remove RPM_BUILD_ROOT
- plugin-ins, not plugins
- Consolidate build requirements
- Use -p with install to preserve timestamps

* Wed Jun 22 2011 W. Michael Petullo <mike@flyn.org> - 0.8.1-2
- Update description
- Place GIMP plugin in sub-package
- Require scons and xmltoman
- Place man page in proper directory
- Do not install INSTALL document

* Sun Jun 19 2011 W. Michael Petullo <mike@flyn.org> - 0.8.1-1
- Initial package
